
Redmine - Defect #1551

Copying issues resets Status

2008-06-30 16:27 - José Campos

Status: Closed Start date: 2008-06-30

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version:  

Description

When an issues is copied from another one (using the copy option at the top-right corner of the page), all fields are preserved except

Status that is reset to New.

Related issues:

Related to Redmine - Feature #16959: Default status of copying closed issue Closed

Copied to Redmine - Feature #17576: Ability to choose, in administration page... Closed 2008-06-30

History

#1 - 2008-07-02 12:40 - Jean-Philippe Lang

The copy resets the status by design.

Copying an issue is just like creating a new one. That's why the copy is created with the default status.

If you copy a closed issue, do you really want the copy to be created as closed ?

#2 - 2008-07-02 13:26 - José Campos

"If you copy a closed issue, do you really want the copy to be created as closed ?"

No, you are right. It doesn't male sense. But, otherwise, if the status is assigned (to a particular developer), it helps if the copied issue is assigned too

to the same developer (that was what I was looking for).

Nonetheless, it doesn't take much to change the status to Assign by hand.

Thanks.

#3 - 2008-07-16 20:38 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Wont fix

Thanks for the feedback. The current behaviour is the easiest to handle.

#4 - 2014-05-23 09:28 - Maik Lindner

Current behaviour: Copying issues keeps status :( If I copy a closed issue I create a new closed one. Redmine 2.5.1

#5 - 2014-06-18 08:48 - Toshi MARUYAMA

- Related to Feature #16959: Default status of copying closed issue added

#6 - 2014-07-29 11:18 - Anthony HERBÉ

- Copied to Feature #17576: Ability to choose, in administration page, the behaviour of status during copying issues added
